IDGETR(3NCARG)

NAME
IDGETR - Retrieves the real value of a Bivar parameter.

SYNOPSIS
CALL IDGETR (PNAM,RVAL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_idgetr (char *pnam, float *rval)

DESCRIPTION

PNAM
    (an input constant or variable of type CHARACTER) - The name of the parameter that you want to retrieve. The character string can be of any length, but only the first two characters of it will be examined.

RVAL
    (an output variable of type REAL) - A real variable to receive the desired parameter value. If the internal parameter is of type REAL and has the value "r", RVAL will be given the value "r"; if the internal parameter is of type INTEGER and has the value "i", RVAL will be given the value "REAL(i)".

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of Bivar parameters. For a complete list of parameters available in this utility, see the bivar_params man page.

ACCESS
To use IDGETR or c_idgetr, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the bivar man page for a description of all Bivar error messages and/or informational messages.

SEE ALSO
Online: bivar, bivar_params, idbvip, idsfft, idpltr, idgeti, idseti, idsetr, ncarg_cbind

Hardcopy: NCAR Graphics Contouring and Mapping Tutorial; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.